#! /usr/bin/env python
# -*- coding: Utf-8 -*-

# Egy alap hálózati kliens definíciója
# Ez a kliens egy ad hoc serverrel folytat párbeszédet

import socket, sys

HOST = '127.0.0.1'
PORT = 50000

# 1) Socket létrehozása :
mySocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# 2) Kapcsolatkérés küldése a server-nek :
try:
    mySocket.connect((HOST, PORT))
except socket.error:
    print "A kapcsolat meghiúsult."
    sys.exit()    
print "Létrejött a kapcsolat a server-rel."    

# 3) Párbeszéd a server-rel :
msgServer = mySocket.recv(1024)

while 1:
    if msgServer.upper() == "FIN" or msgServer =="":
        break
    print "S>", msgServer
    msgClient = raw_input("C> ")
    mySocket.send(msgClient)
    msgServer = mySocket.recv(1024)

# 4) A kapcsolat zárása :
print "A kapcsolat megszakadt."
mySocket.close()